/**
 * @enum AddressType
 */
declare enum AddressType {
    bytes20 = "bytes20",
    bytes20Hex = "bytes20Hex",
    checkSum = "checkSum",
    base58 = "base58",
    bech32 = "bech32",
    bech32TestNet = "bech32TestNet"
}
declare class ZilAddress {
    static isValidBech32(address: string): boolean;
    static isValidBech32TestNet(address: string): boolean;
    static isValidBase58(address: string): boolean;
    static isValidChecksum(address: string): boolean;
    static isValidByte20(address: string): boolean;
    static isValidByte20Hex(address: string): boolean;
    raw: string;
    addressType?: AddressType;
    bytes20: string;
    readonly bytes20Hex: string;
    readonly checkSum: string;
    readonly bech32: string;
    readonly bech32TestNet: string;
    readonly base58: string;
    constructor(raw: string);
    isBytes20(): boolean;
    isBytes20Hex(): boolean;
    isChecksum(): boolean;
    isBase58(): boolean;
    isBech32(): boolean;
    isBech32TestNet(): boolean;
    private getAddressType;
}
export { ZilAddress, AddressType };
//# sourceMappingURL=zilAddress.d.ts.map